VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties
VisimBox.Renderer.RenderObjects.SkyboxData Class Reference

Data for Skybox renderable object. More...

Inheritance diagram for VisimBox.Renderer.RenderObjects.SkyboxData:

List of all members.

## Public Member Functions
Texture | GetTexture (int index)
| SkyboxData (string left, string right, string front, string back, string top, string bottom, Vector3 scale)
| Creates skybox data from texture names and scale vector. If any string is set to null, this part of the skybox won't be rendered. Bottom side of the skybox is usually not needed, so just use null for bottomn.
| SkyboxData (string[] textures, Vector3 scale)
| Creates skybox data from texture names and scale vector. If any string is set to null, this part of the skybox won't be rendered. Bottom side of the skybox is usually not needed, so just use null for bottomn.
| SkyboxData (System.Xml.XmlReader reader)
| SkyboxData (SkyboxData source)
void | LoadTextures ()
| Loads textures from renderer.TextureManager, sets internal IDS.
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
void | ResourceDisposing (Resources.IResource resource)
bool | ResourceReplaced (Resources.IResource original, Resources.IResource newresource)
void | Dispose ()
## Public Attributes
string[] | Textures
| Names of textures used for skybox faces.
## Protected Member Functions
void | ChangeTexture (int index, string newtexture)
## Properties
Vector3 | Scale`[get, set]`
| Scale used for skybox (how far the skybox will extend, should be set on limit of visibility.
string | LeftTexture`[get, set]`
string | RightTexture`[get, set]`
string | FrontTexture`[get, set]`
string | BackTexture`[get, set]`
string | TopTexture`[get, set]`
string | BottomTexture`[get, set]`

## Detailed Description

Data for Skybox renderable object.

## Constructor & Destructor Documentation

VisimBox.Renderer.RenderObjects.SkyboxData.SkyboxData | ( | string | left,
|  | string | right,
|  | string | front,
|  | string | back,
|  | string | top,
|  | string | bottom,
|  | Vector3 | scale
| ) |  |

Creates skybox data from texture names and scale vector. If any string is set to null, this part of the skybox won't be rendered. Bottom side of the skybox is usually not needed, so just use null for bottomn.

Parameters:

  left | Left side of the skybox (on y axis)
  right | Right side of the skybox (on y axis)
  front | Front side of the skybox (on X axis)
  back | Back side of the skybox (on x axis)
  top | Top side of the skybox (on z axis)
  bottom | Bottom side of the skybox (on y axis)
  scale | Scale of skybox

VisimBox.Renderer.RenderObjects.SkyboxData.SkyboxData | ( | string[] | textures,
|  | Vector3 | scale
| ) |  |

Creates skybox data from texture names and scale vector. If any string is set to null, this part of the skybox won't be rendered. Bottom side of the skybox is usually not needed, so just use null for bottomn.

Parameters:

  scale | Scale of skybox
  textures | Array of 6 strings containig textures for Left, Right, Front, Back, Top and Bottom face of skybox

VisimBox.Renderer.RenderObjects.SkyboxData.SkyboxData | ( | System.Xml.XmlReader | reader | ) |

VisimBox.Renderer.RenderObjects.SkyboxData.SkyboxData | ( | SkyboxData | source | ) |

## Member Function Documentation

void VisimBox.Renderer.RenderObjects.SkyboxData.ChangeTexture | ( | int | index,
|  | string | newtexture
| ) |  | `[protected]`

void VisimBox.Renderer.RenderObjects.SkyboxData.Dispose | ( |  | ) |

System.Xml.Schema.XmlSchema VisimBox.Renderer.RenderObjects.SkyboxData.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

Texture VisimBox.Renderer.RenderObjects.SkyboxData.GetTexture | ( | int | index | ) |

void VisimBox.Renderer.RenderObjects.SkyboxData.LoadTextures | ( |  | ) |

Loads textures from renderer.TextureManager, sets internal IDS.

void VisimBox.Renderer.RenderObjects.SkyboxData.ReadXml | ( | System.Xml.XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

void VisimBox.Renderer.RenderObjects.SkyboxData.ResourceDisposing | ( | Resources.IResource | resource | ) |

bool VisimBox.Renderer.RenderObjects.SkyboxData.ResourceReplaced | ( | Resources.IResource | original,
|  | Resources.IResource | newresource
| ) |  |

void VisimBox.Renderer.RenderObjects.SkyboxData.WriteXml | ( | System.Xml.XmlWriter | writer | ) |

Serializes object to XML.

Parameters:

  writer | XML writer to save values

## Member Data Documentation

string [] VisimBox.Renderer.RenderObjects.SkyboxData.Textures

Names of textures used for skybox faces.

## Property Documentation

string VisimBox.Renderer.RenderObjects.SkyboxData.BackTexture`[get, set]`

string VisimBox.Renderer.RenderObjects.SkyboxData.BottomTexture`[get, set]`

string VisimBox.Renderer.RenderObjects.SkyboxData.FrontTexture`[get, set]`

string VisimBox.Renderer.RenderObjects.SkyboxData.LeftTexture`[get, set]`

string VisimBox.Renderer.RenderObjects.SkyboxData.RightTexture`[get, set]`

Vector3 VisimBox.Renderer.RenderObjects.SkyboxData.Scale`[get, set]`

Scale used for skybox (how far the skybox will extend, should be set on limit of visibility.

string VisimBox.Renderer.RenderObjects.SkyboxData.TopTexture`[get, set]`

The documentation for this class was generated from the following file:

- Skybox.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events